<!DOCTYPE html>
<html>
  <head>
    <title>list order</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link
      rel="stylesheet"
      href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
    />

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

    <!-- Import them style bootstrap cho datatable -->
    <link
      rel="stylesheet"
      href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css"
    />

    <!-- Import Datatable sau jquery -->
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>

    <!-- Import awesome-->
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.3.0/css/all.min.css"
    />
  </head>

  <body>
    <div class="container-fluid">
      <div class="text-center mt-2 mb-2">
        <h2>Order List</h2>
      </div>

      <div class="row form-group py-3 bg-light rounded">
        <label class="col-sm-2 col-form-label text-center"
          ><b>Status order</b></label
        >
        <div class="col-sm-3">
          <select id="select-status" class="form-control"></select>
        </div>
        <label class="col-sm-2 col-form-label text-center"
          ><b>Type pizza</b></label
        >
        <div class="col-sm-3">
          <select id="select-typePizza" class="form-control"></select>
        </div>
        <div class="col-sm-2">
          <button id="btn-filter-order" class="btn btn-info w-100">
            Filter
          </button>
        </div>
      </div>
    </div>

    <div class="container-fluid">
      <table
        class="table table-bordered table-striped table-hover"
        id="order-table"
      >
        <thead class="bg-dark text-white">
          <tr>
            <th>No.</th>
            <th>Order Code</th>
            <th>Size</th>
            <th>Pizza Type</th>
            <th>Drink</th>
            <th>Price</th>
            <th>Customer Name</th>
            <th>Phone</th>
            <th>Status</th>
            <th>Action</th>
          </tr>
        </thead>
      </table>
    </div>
    <!-- Vùng Modal -->

    <!-- Create course modal -->
    <div>
      <div id="detail-order-modal" class="modal fade" tabindex="-1">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="h5-modal-title">Order Details</h5>
              <button class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
              <form>
                <div class="row form-group">
                  <div class="col-sm-3">
                    <label for="input-detail-order-code">Order code</label>
                  </div>
                  <div class="col-sm-9">
                    <input
                      type="text"
                      id="input-detail-order-code"
                      name="ordercodes"
                      placeholder="...."
                      class="form-control"
                    />
                  </div>
                </div>
                <div class="row form-group">
                  <div class="col-sm-3">
                    <label for="detail-select-combo">Pizza Size</label>
                  </div>
                  <div class="col-sm-9">
                    <select id="detail-select-combo" class="form-control">
                      <option value="all">--All--</option>
                    </select>
                  </div>
                </div>
                <div class="row form-group">
                  <div class="col-sm-3">
                    <label for="input-size-cm">Size</label>
                  </div>
                  <div class="col-sm-9">
                    <input
                      type="text"
                      id="detail-size-cm"
                      name="size"
                      placeholder="..."
                      class="form-control"
                    />
                  </div>
                </div>
                <div class="row form-group">
                  <div class="col-sm-3">
                    <label for="input-size-cm">Grilled-ribs</label>
                  </div>
                  <div class="col-sm-9">
                    <input
                      type="text"
                      id="detail-ribs"
                      name="grillribs"
                      placeholder="..."
                      class="form-control"
                    />
                  </div>
                </div>
                <div class="row form-group">
                  <div class="col-sm-3">
                    <label for="detail-salad">Salad</label>
                  </div>
                  <div class="col-sm-9">
                    <input
                      type="text"
                      id="detail-salad"
                      name="detail-salad"
                      placeholder="..."
                      class="form-control"
                    />
                  </div>
                </div>
                <div class="row form-group">
                  <div class="col-sm-3">
                    <label for="detail-pizza-type">Pizza type</label>
                  </div>
                  <div class="col-sm-9">
                    <input
                      type="text"
                      id="detail-pizza-type"
                      name="detail-pizza-type"
                      placeholder="..."
                      class="form-control"
                    />
                  </div>
                </div>
                <div class="row form-group">
                  <div class="col-sm-3">
                    <label for="detail-voucher">Voucher</label>
                  </div>
                  <div class="col-sm-9">
                    <input
                      type="text"
                      id="detail-voucher"
                      name="detail-pizza-type"
                      placeholder="..."
                      class="form-control"
                    />
                  </div>
                </div>
                <div class="row form-group">
                  <div class="col-sm-3">
                    <label for="detail-price">Price</label>
                  </div>
                  <div class="col-sm-9">
                    <input
                      type="text"
                      id="detail-price"
                      name="detail-price"
                      placeholder="..."
                      class="form-control"
                    />
                  </div>
                </div>
                <div class="row form-group">
                  <div class="col-sm-3">
                    <label for="detail-discount">Discount</label>
                  </div>
                  <div class="col-sm-9">
                    <input
                      type="text"
                      id="detail-discount"
                      name="detail-discount"
                      placeholder="..."
                      class="form-control"
                    />
                  </div>
                </div>
                <div class="row form-group">
                  <div class="col-sm-3">
                    <label for="detail-drink">Drink</label>
                  </div>
                  <div class="col-sm-9">
                    <select id="detail-drink" class="form-control">
                      <option value="all">--All--</option>
                    </select>
                  </div>
                </div>
                <div class="row form-group">
                  <div class="col-sm-3">
                    <label for="detail-amount">Amount</label>
                  </div>
                  <div class="col-sm-9">
                    <input
                      type="text"
                      id="detail-amount"
                      name="detail-amount"
                      placeholder="..."
                      class="form-control"
                    />
                  </div>
                </div>
                <div class="row form-group">
                  <div class="col-sm-3">
                    <label for="detail-fullname">Full name</label>
                  </div>
                  <div class="col-sm-9">
                    <input
                      type="text"
                      id="detail-fullname"
                      name="detail-fullname"
                      placeholder="..."
                      class="form-control"
                    />
                  </div>
                </div>
                <div class="row form-group">
                  <div class="col-sm-3">
                    <label for="detail-email">Email</label>
                  </div>
                  <div class="col-sm-9">
                    <input
                      type="text"
                      id="detail-email"
                      name="detail-email"
                      placeholder="..."
                      class="form-control"
                    />
                  </div>
                </div>
                <div class="row form-group">
                  <div class="col-sm-3">
                    <label for="detail-phone">Phone</label>
                  </div>
                  <div class="col-sm-9">
                    <input
                      type="text"
                      id="detail-phone"
                      name="detail-phone"
                      placeholder="..."
                      class="form-control"
                    />
                  </div>
                </div>
                <div class="row form-group">
                  <div class="col-sm-3">
                    <label for="detail-phone">Address</label>
                  </div>
                  <div class="col-sm-9">
                    <input
                      type="text"
                      id="detail-address"
                      name="detail-address"
                      placeholder="..."
                      class="form-control"
                    />
                  </div>
                </div>
                <div class="row form-group">
                  <div class="col-sm-3">
                    <label for="detail-messag">Message</label>
                  </div>
                  <div class="col-sm-9">
                    <input
                      type="text"
                      id="detail-message"
                      name="detail-message"
                      placeholder="..."
                      class="form-control"
                    />
                  </div>
                </div>
                <div class="row form-group">
                  <div class="col-sm-3">
                    <label for="ddetail-order-date">Order Date</label>
                  </div>
                  <div class="col-sm-9">
                    <input
                      type="text"
                      id="detail-order-date"
                      name="detail-order-date"
                      placeholder="..."
                      class="form-control"
                    />
                  </div>
                </div>
                <div class="row form-group">
                  <div class="col-sm-3">
                    <label for="ddetail-update-date">Update Date</label>
                  </div>
                  <div class="col-sm-9">
                    <input
                      type="text"
                      id="detail-update-date"
                      name="detail-update-date"
                      placeholder="..."
                      class="form-control"
                    />
                  </div>
                </div>
              </form>
            </div>
            <div class="modal-footer">
              <div class="row form-group">
                <div class="col-sm-6">
                  <button class="btn btn-primary" id="btn-detail-confirm">
                    Confirm
                  </button>
                </div>
                <div class="col-sm-6">
                  <button class="btn btn-danger" id="btn-detail-cancel">
                    Cancel
                  </button>
                </div>
              </div>
              <div class="row form-group">
                <button
                  class="btn btn-secondary"
                  id="btn-close"
                  data-dismiss="modal"
                >
                  Close
                </button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <script>
      "use strict";
      /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
      // mảng orders
      var gOrderObjects = [];
      var gStt = 0;
      var gOrderCode;
      var gId;
      var gPizzaSize = ["S", "M", "L"];

      const gBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/orders";

      // mảng pizza Type
      var gPizzaType = [
        {
          typeId: "Seafood",
          typeName: "Seafood",
        },
        {
          typeId: "HAWAII",
          typeName: "HAWAII",
        },
        {
          typeId: "Bacon",
          typeName: "Bacon",
        },
      ];

      // mảng status
      var gStatus = [
        {
          id: "open",
          name: "Open",
        },
        {
          id: "confirmed",
          name: "Confirmed",
        },
        {
          id: "cancel",
          name: "Cancel",
        },
      ];

      const ARRAY_NAME_COL = [
        "Stt",
        "orderCode",
        "kichCo",
        "loaiPizza",
        "idLoaiNuocUong",
        "thanhTien",
        "hoTen",
        "soDienThoai",
        "trangThai",
        "action",
      ];
      //khai báo các cột
      const gCOL_NO = 0;
      const gCOL_ORDERCODE = 1;
      const gCOL_COMBO = 2;
      const gCOL_PIZZA_ID = 3;
      const gCOL_DRINK_ID = 4;
      const gCOL_PRICE = 5;
      const gCOL_CUSTOMER_NAME = 6;
      const gCOL_PHONE = 7;
      const gCOL_STATUS = 8;
      const gCOL_ACTION = 9;
      var gSTT = 0;

      // khởi tạo datatable  - chưa có data
      var gOrderTable = $("#order-table").DataTable({
        columns: [
          { data: ARRAY_NAME_COL[gCOL_NO] },
          { data: ARRAY_NAME_COL[gCOL_ORDERCODE] },
          { data: ARRAY_NAME_COL[gCOL_COMBO] },
          { data: ARRAY_NAME_COL[gCOL_PIZZA_ID] },
          { data: ARRAY_NAME_COL[gCOL_DRINK_ID] },
          { data: ARRAY_NAME_COL[gCOL_PRICE] },
          { data: ARRAY_NAME_COL[gCOL_CUSTOMER_NAME] },
          { data: ARRAY_NAME_COL[gCOL_PHONE] },
          { data: ARRAY_NAME_COL[gCOL_STATUS] },
          { data: ARRAY_NAME_COL[gCOL_ACTION] },
        ],
        columnDefs: [
          //định nghĩa các cột cần hiện ra
          {
            targets: gCOL_NO, //cột STT
            className: "text-center text-primary",
            /*render: function (data, type, row, meta) {
                            return meta.row + meta.settings._iDisplayStart + 1; */
            render: function () {
              gStt++;
              return gStt;
            },
          },
          {
            targets: gCOL_ACTION, //cột Action
            className: "text-center",
            defaultContent: `
                            <button id= "detail-order"  <i title = 'DEATIL' class="fa-solid fa-file-circle-check text-info" style = "cursor:pointer; border: 1px white;"></i></button> &nbsp; 
                            <button id= "delete-course" <i title = 'Delete' class="fa-solid fa-trash text-danger" style = "cursor:pointer;border: 1px white;"></i></button>`,
          },
        ],
      });

      /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
      onPageLoading();
      //gọi hàm hiển thị danh sách đồi uống vào select (trong modal)
      getDrinkList();
      //gọi hàm hiển thị kích cỡ pizza select(trong modal)
      getPizzaSize(gPizzaSize);
      //thêm sự kiện cho nút filter
      $("#btn-filter-order").on("click", function () {
        //gọi hàm thực thi filter
        onBtnFilterOrderClick();
      });

      // 3 - U: gán sự kiện Update - khi nhấn nút edit
      $("#order-table").on("click", "#detail-order", function () {
        onBtnDetailClick(this);
      });

      // gán sự kiện cho nút Confirm (trên modal)
      $("#btn-detail-confirm").on("click", function () {
        onBtnConfirmOrderlick();
      });

      // gán sự kiện cho nút Cancel (trên modal)
      $("#btn-detail-cancel").on("click", function () {
        onBtnCancelOrderlick();
      });

      /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
      function onPageLoading() {
        "use strict";
        loadDataToPizzaTypeSelect(gPizzaType);
        loadDataToStatusSelect(gStatus);
        // lấy data từ server
        callApiToGetOrder();
      }

      //hàm call API to get all order

      function callApiToGetOrder() {
        $.ajax({
          url: gBASE_URL,
          type: "GET",
          dataType: "json",
          success: function (responseObject) {
            gOrderObjects = responseObject;
            DisplayOrderToTable(responseObject);
          },
          error: function (error) {
            console.assert(error.responseText);
          },
        });
      }

      //hàm xử lý nút filter
      function onBtnFilterOrderClick() {
        ("use strict");
        //khai báo đối tượng chứa dữ liệu filter
        var vFilterPizzaType = {
          status: "",
          pizzaTypeId: "",
        };
        //B1 thu thập dữ liệu để filter
        getFilterFormData(vFilterPizzaType);
        //B2: validate (k cần)
        //B3: xử lý filter
        var vResultFilter = filterPizzaType(vFilterPizzaType);
        console.log(vResultFilter);
        //B4 hiển thị kết quả lọc
        if (vResultFilter.length > 0) {
          //hiện thông báo đã tìm được
          alert("Found " + vResultFilter.length + " results");
          //hiển thị danh sách dữ liệu tìm được ra table
          DisplayOrderToTable(vResultFilter);
        } else {
          alert("No result was found");
          return false;
        }
      }

      // Hàm xử lý sự kiện khi icon edit trên bảng đc click
      function onBtnDetailClick(paramBtnEdit) {
        "use strict";
        console.log("Button edit được click");
        // hàm dựa vào button detail (edit or delete) xác định đc id
        var vTableRow = $(paramBtnEdit).parents("tr");
        var vOrderRowData = gOrderTable.row(vTableRow).data();
        gId = vOrderRowData.id;
        gOrderCode = vOrderRowData.orderCode;

        console.log("ID lấy được: " + gId);
        console.log("Order code lấy được: " + gOrderCode);
        getOrderByCode(gOrderCode);
      }

      //Hàm xử lý khi nhấn nút confirm trên modal
      function onBtnConfirmOrderlick() {
        // khai báo đối tượng chứa user data
        var vObjectDataOrder = {
          orderCode: "",
          kichCo: "",
          duongKinh: "",
          suon: "",
          salad: "",
          loaiPizza: "",
          idVourcher: "",
          thanhTien: "",
          giamGia: "",
          idLoaiNuocUong: "",
          soLuongNuoc: "",
          hoTen: "",
          email: "",
          soDienThoai: "",
          diaChi: "",
          loiNhan: "",
          trangThai: "",
          ngayTao: "",
          ngayCapNhat: "",
        };

        // B1: Thu thập dữ liệu
        getUpdateOrderData(vObjectDataOrder);
        // B2: Validate update
        var vIsValidate = validateData(vObjectDataOrder);
        if (vIsValidate) {
          // B3: update order
          $.ajax({
            url: gBASE_URL + "/" + gId,
            type: "PUT",
            contentType: "application/json;charset=UTF-8",
            data: JSON.stringify(vObjectDataOrder),
            success: function (paramRes) {
              // B4: xử lý front-end
              handleUpdateOrderSuccess();
            },
            error: function (paramErr) {
              console.log(paramErr.status);
            },
          });
        }
      }

      //Hàm xử lý khi nhấn nút cancel trên modal
      function onBtnCancelOrderlick() {
        // khai báo đối tượng chứa user data
        var vObjectDataOrder = {
          trangThai: "cancel",
          ngayCapNhat: "",
        };

        // B1: Thu thập dữ liệu
        // B2: Validate update
        // B3: Update status to Cancel order
        $.ajax({
          url: gBASE_URL + "/" + gId,
          type: "PUT",
          contentType: "application/json;charset=UTF-8",
          data: JSON.stringify(vObjectDataOrder),
          success: function (paramRes) {
            // B4: xử lý front-end
            handleCancelOrderSuccess();
          },
          error: function (paramErr) {
            console.log(paramErr.status);
          },
        });
      }

      /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
      //hàm thu thập dữ liệu để lọc
      function getFilterFormData(paramFilterObj) {
        "use strict";
        paramFilterObj.pizzaTypeId = $("#select-typePizza").val();
        paramFilterObj.status = $("#select-status").val();
        console.log(
          "Pizza type đã lọc là: " +
            paramFilterObj.pizzaTypeId +
            " + Status: " +
            paramFilterObj.status
        );
      }

      //hàm thực hiện lọc và hiển thị lên table
      function filterPizzaType(paramFilterObj) {
        var vResult = [];
        //thực hiện lọc
        vResult = gOrderObjects.filter(function (paramOrder) {
          if (paramOrder.loaiPizza != null) {
            return (
              (paramFilterObj.pizzaTypeId === "All" ||
                paramOrder.loaiPizza.toLowerCase() ===
                  paramFilterObj.pizzaTypeId.toLowerCase()) &&
              (paramFilterObj.status === "All" ||
                paramOrder.trangThai.toLowerCase() ===
                  paramFilterObj.status.toLowerCase())
            );
          }
        });

        return vResult;
      }

      //hàm load dữ liệu vào user table
      function DisplayOrderToTable(paramData) {
        "use strict";
        gSTT = 1; // thiết lập lại stt
        $("#order-table").DataTable().clear(); // xóa dữ liệu
        $("#order-table").DataTable().rows.add(paramData); //thêm các dòng dữ liệu vào datatable
        $("#order-table").DataTable().draw(); //vẽ lại bảng
      }

      // hàm get voucher by id
      function getOrderByCode(paramOrderCode) {
        $.ajax({
          url: gBASE_URL + "/" + gOrderCode,
          type: "GET",
          success: function (paramOrderRes) {
            showOrderDataToModal(paramOrderRes);
          },
          error: function (paramErr) {
            console.log(paramErr.status);
          },
        });
        // hiển thị modal lên
        $("#detail-order-modal").modal("show");
      }

      // hàm show order obj lên modal
      function showOrderDataToModal(paramOrderObj) {
        $("#input-detail-order-code").val(paramOrderObj.orderCode);
        $("#detail-select-combo").val(paramOrderObj.kichCo);
        $("#detail-size-cm").val(paramOrderObj.duongKinh);
        $("#detail-ribs").val(paramOrderObj.suon);
        $("#detail-salad").val(paramOrderObj.salad);
        $("#detail-pizza-type").val(paramOrderObj.loaiPizza);
        $("#detail-voucher").val(paramOrderObj.idVourcher);
        $("#detail-price").val(paramOrderObj.thanhTien);
        $("#detail-discount").val(paramOrderObj.giamGia);
        $("#detail-drink").val(paramOrderObj.idLoaiNuocUong);
        $("#detail-amount").val(paramOrderObj.soLuongNuoc);
        $("#detail-fullname").val(paramOrderObj.hoTen);
        $("#detail-email").val(paramOrderObj.email);
        $("#detail-phone").val(paramOrderObj.soDienThoai);
        $("#detail-address").val(paramOrderObj.diaChi);
        $("#detail-message").val(paramOrderObj.loiNhan);
        $("#detail-order-date").val(paramOrderObj.ngayTao);
        $("#detail-update-date").val(paramOrderObj.ngayCapNhat);
      }

      // hàm thu thập dữ liệu để update order
      function getUpdateOrderData(paramOrderObj) {
        paramOrderObj.orderCode = $("#input-detail-order-code").val().trim();
        paramOrderObj.kichCo = $("#detail-select-combo").val();
        paramOrderObj.duongKinh = parseInt($("#detail-size-cm").val());
        paramOrderObj.suon = parseInt($("#detail-ribs").val());
        paramOrderObj.salad = $("#detail-salad").val();
        paramOrderObj.loaiPizza = $("#detail-pizza-type").val();
        paramOrderObj.idVourcher = $("#detail-voucher").val().trim();
        paramOrderObj.thanhTien = parseInt($("#detail-price").val());
        paramOrderObj.giamGia = $("#detail-discount").val().trim();
        paramOrderObj.idLoaiNuocUong = $("#detail-drink").val();
        paramOrderObj.soLuongNuoc = parseInt($("#detail-amount").val().trim());
        paramOrderObj.hoTen = $("#detail-fullname").val();
        paramOrderObj.email = $("#detail-email").val().trim();
        paramOrderObj.soDienThoai = $("#detail-phone").val().trim();
        paramOrderObj.diaChi = $("#detail-address").val().trim();
        paramOrderObj.loiNhan = $("#detail-message").val();
        paramOrderObj.trangThai = "confirmed";
        paramOrderObj.ngayTao = $("#detail-order-date").val().trim();
        paramOrderObj.ngayCapNhat = $("#detail-update-date").val().trim();
      }

      // hàm validate data
      function validateData(paramOrderObj) {
        if (paramOrderObj.orderCode === "") {
          alert("Please input Order code");
          return false;
        }
        if (paramOrderObj.kichCo === "all") {
          alert("Please select Combo");
          return false;
        }
        if (paramOrderObj.thanhTien < 0 || paramOrderObj.thanhTien == 0) {
          alert("Price must be greater than 0");
          return false;
        }
        if (paramOrderObj.idLoaiNuocUong === "all") {
          alert("Please select Drink");
          return false;
        }

        return true;
      }

      //hàm confirm thành công
      function handleUpdateOrderSuccess() {
        alert("Confirmed order successfully!");
        callApiToGetOrder();
        resertDetailOrderForm();
        $("#detail-order-modal").modal("hide");
      }

      //hàm cancel thành công
      function handleCancelOrderSuccess() {
        alert("Canceled order successfully!");
        callApiToGetOrder();
        resertDetailOrderForm();
        $("#detail-order-modal").modal("hide");
      }

      // hàm xóa trắng form detail modal
      function resertDetailOrderForm() {
        $("#input-detail-order-code").val("");
        $("#detail-select-combo").val("");
        $("#detail-size-cm").val("");
        $("#detail-ribs").val("");
        $("#detail-salad").val("");
        $("#detail-pizza-type").val("");
        $("#detail-voucher").val("");
        $("#detail-price").val("");
        $("#detail-discount").val("");
        $("#detail-drink").val("");
        $("#detail-amount").val("");
        $("#detail-fullname").val("");
        $("#detail-email").val("");
        $("#detail-phone").val("");
        $("#detail-address").val("");
        $("#detail-message").val("");
        $("#detail-order-date").val("");
        $("#detail-update-date").val("");
      }

      //hàm load dữ liệu pizza type select
      function loadDataToPizzaTypeSelect(paramData) {
        "use strict";
        $("#select-typePizza").append(
          $("<option>", {
            text: "All",
            value: "All",
          })
        );

        for (var bI = 0; bI < paramData.length; bI++) {
          $("#select-typePizza").append(
            $("<option>", {
              text: paramData[bI].typeName,
              value: paramData[bI].typeId,
            })
          );
        }
      }

      //hàm load dữ liệu status select
      function loadDataToStatusSelect(paramData) {
        "use strict";
        $("#select-status").append(
          $("<option>", {
            text: "All",
            value: "All",
          })
        );

        for (var bI = 0; bI < paramData.length; bI++) {
          $("#select-status").append(
            $("<option>", {
              text: paramData[bI].name,
              value: paramData[bI].id,
            })
          );
        }
      }

      //hàm gọi API select drink
      function getDrinkList() {
        "use strict";
        $.ajax({
          url: "http://203.171.20.210:8080/devcamp-pizza365/drinks",
          dataType: "json",
          type: "GET",
          success: function (paramRes) {
            console.log(paramRes);
            handleDrinkList(paramRes);
          },
          error: function (paramErr) {
            console.log(paramErr.status);
          },
        });
      }

      //hàm tạo option cho select drink
      function handleDrinkList(paramDrink) {
        "use strict";
        for (var bI = 0; bI < paramDrink.length; bI++) {
          $("#detail-drink").append(
            $("<option>", {
              text: paramDrink[bI].tenNuocUong,
              value: paramDrink[bI].maNuocUong,
            })
          );
        }
      }

      //hàm tạo option cho select size
      function getPizzaSize(paramPizza) {
        "use strict";
        for (var bI = 0; bI < paramPizza.length; bI++) {
          $("#detail-select-combo").append(
            $("<option>", {
              text: paramPizza[bI],
              value: paramPizza[bI],
            })
          );
        }
      }
    </script>
  </body>
</html>
